cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

WILD FIRE 4

Highlighted
Newbie

WILD FIRE 4

HELLO   I NEED TO DOWNLOAD WILDFIRE 4.O  FROM PTC

KINDLY ASSIST

2 REPLIES 2
Highlighted

Re: WILD FIRE 4

Hi,


Unfortunately, Wildfire 4.0 is no longer officially supported by PTC. This is due to following a normal product retirement cycle on previous releases of software. I would recommend that you upgrade to Creo 3.0 (the most recent version) through the PTC store: https://store.ptc.com.

Highlighted

Re: WILD FIRE 4

‌As SHWETA is in the schools forum they would be in the schools program so can obtain Creo3 via the academic program.  Collaboration tools are not part of that I believe.  Happy to be corrected as I understand that schools and students participating in FIRST robotics have that functionality.  Mark Cheli

Announcements
Welcome to PTC Academic!